## Configure file replacement that patches some header files when building on 
## Microsoft Visual Studio Compilers 
## If not MSVC this function will fall back to the default configure_file 
## implementation from cmake 
macro(configure_file_iconv)
  include(CMakeParseArguments)
  set(options)
  set(oneValueArgs LIBRARY_NAME INPUT OUTPUT)
  set(multiValueArgs)
  cmake_parse_arguments(arg "${options}" "${oneValueArgs}" "${multiValueArgs}" ${ARGN})
  
  if(MSVC)
    string(TOUPPER "lib${arg_LIBRARY_NAME}" arg_library_name_upper)
    set(HAVE_VISIBILITY
    "WIN32
      #if defined(${arg_LIBRARY_NAME}_EXPORTS)
        #define ${arg_library_name_upper}_DLL_EXPORTED __declspec(dllexport)
      #else
        #define ${arg_library_name_upper}_DLL_EXPORTED __declspec(dllimport)
      #endif
  #elif true"
    )
  endif()
  configure_file(${arg_INPUT} ${arg_OUTPUT} ${arg_UNPARSED_ARGUMENTS})
endmacro()

